%define module_name Authen-Passphrase-Argon2
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Authen/Passphrase.pm) perl(Crypt/Argon2.pm) perl(Data/GUID.pm) perl(MIME/Base64.pm) perl(Syntax/Construct.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: Store and check password using Argon2
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Authen::Passphrase::Argon2;

_$ppr = Authen::Passphrase::Argon2->new(
__salt_random => 1,
__hash_hex => '246172676f6e326924763d3139246d3d33323736382c743d332c703d312459574a6a5a47566d5a7a45794d7724435348383332634a6330347376516f7656492f754441',
_);

_$algorithm = $ppr->algorithm;
_$salt = $ppr->salt;
_$salt_hex = $ppr->salt_hex;
_$hash = $ppr->hash;
_$hash_hex = $ppr->hash_hex;

_if($ppr->match($passphrase)) {
__...
_}

_$userPassword = $ppr->as_crypt;

_.....

___PACKAGE__->add_columns(

_);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt
%perl_vendor_privlib/A*

%changelog
* Sat Apr 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- updated by package builder

* Fri Apr 05 2019 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- updated by package builder

* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

